import { QuizQuestionRating } from "@frontend/squzanswerer";
import HelpQuestions from "../../helpQuestions";
import SettingRating from "./settingRating";

interface Props {
  switchState: string;
  question: QuizQuestionRating;
}

export default function SwitchRating({ switchState = "setting", question }: Props) {
  switch (switchState) {
    case "setting":
      return <SettingRating question={question} />;
    case "help":
      return (
        <HelpQuestions
          questionId={question.id}
          hintText={question.content.hint.text}
          hintVideo={question.content.hint.video}
        />
      );
    default:
      return <></>;
  }
}
